#!/usr/bin/make -rf

include /usr/share/dpkg/buildopts.mk

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
CONFIGURE_FLAGS += -DBUILD_TESTING=OFF
endif

ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
CONFIGURE_FLAGS += -DSPHINX_HTML=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_CursesDialog=ON \
		-DBUILD_DOCUMENTATION=ON \
		-DBUILD_QtDialog=ON \
		-DCMAKE_CXX_FLAGS=-DCMAKE_BOOTSTRAP_NINJA \
		-DCMAKE_DOC_DIR=share/doc/cmake \
		-DCMake_ENABLE_DEBUGGER=OFF \
		-DCMAKE_MAN_DIR=share/man \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_USE_SYSTEM_LIBRARIES=ON \
		-DCMake_VERSION_NO_GIT=ON \
		-DSPHINX_MAN=ON \
		$(CONFIGURE_FLAGS)

override_dh_auto_test:
	CTEST_PARALLEL_LEVEL=$(DEB_BUILD_OPTION_PARALLEL) dh_auto_test

override_dh_installdocs-indep:
	dh_installdocs --link-doc=cmake-data

override_dh_sphinxdoc:
	dh_sphinxdoc -pcmake-doc
